Connexion à phpmyAdmin via un script php

Lou456

New Member
#1
Bonjour, Bonsoir,
J'ai quelques soucis quant à la connexion entre mon script php et mes tables SQL.
J'ai suivi cette procédure :
- Créer une base de données vi l'onglet à cet effet.
- Ajouter un utilisateur disposant des droits d'administrateurs sur cette base de données.
- Créé une table sur phpmyAdmin

Cependant je ne saisis pas vraiment quels informations de connexion doit disposer mon script, j'utilise la ligne de code suivante :

PHP:
        $host = "localhost";
        $dbUsername = "nom de l'utilisateur admin de la base de données";
        $dbPassword = "Mot de passe de cet Utilisateur";
        $dbName = "Nom de la base de données";
        $conn = new mysqli($host, $dbUsername, $dbPassword, $dbName);


Cependant ce que je ne saisis pas c'est que j'ai lu qu'il fallait utiliser : "Nom d'utilisateur_Nom de la base de données", or cela ne fonctionne pas non plus.
Je ne comprends pas non plus comment spécifier la table de ma base de données.

Cependant via une verification de connexion :

PHP:
             if ($conn->connect_error) {
             die('Could not connect to the database.');
             }
J'obtiens l'erreur de connexion dans le cas où j'ai spécifié "Nom d'utilisateur_Nom de la base de donnée", mais pas dans le second cas.
Cependant même si je n'obtiens pas l'erreur dans le cas où simplement le nom de la base de donnée est spécifié, il ne se passe rien au niveau de ma table car je ne sais comment la spécifier.

Merci de m'avoir lu, en éspérant avoir été clair et concis.
J'espère avoir une réponse.
Mes plus sincères salutations.
 

PH-Marc-André.B.

Administrator
Membre du personnel
#2
Bonjour,

Pouvez-vous nous indiquer dans quelle version de PHP avez-vous configuré votre hébergement avec nous?

Assurez-vous que ce soit php 5+ ou encore PHP 7.0 ou moins Parce qu'au delà de ça MySQLi fût dépréciée.
 

Lou456

New Member
#3
Je possède la version 7.3.27 de php, dois-je rétrograder vers une version antérieur ou cette version fonctionne-t-elle avec MySQLi ?
Merci beaucoup
 
Haut